*, *::before, *::after {
    box-sizing: border-box;
}

.card__body::-webkit-scrollbar {
    width: 0.3125rem;
}
.card__body::-webkit-scrollbar-track {
    background: #f7f9fc;
    cursor: pointer;
    border-radius: 0.15625rem;
}

.card__body::-webkit-scrollbar-thumb {
    background: #e4e9f2;;
    cursor: pointer;
    border-radius: 0.15625rem;
}

body {
    margin: 0;
    padding: 0;
}

#app {
    padding: 2rem;
    background-color: #edf1f7;
    height: 100%;
    width: 100%;
}

.card {
    margin: 0;
    height: calc(100vh - 2 * 2.5rem);
    background-color: #fff;
    border: 0.0625rem solid #e4e9f2;
    box-shadow: none;
    color: #222b45;
    font-family: Open Sans, sans-serif;
    font-size: .9375rem;
    font-weight: 400;
    line-height: 1.25rem;
    display: flex;
    flex-direction: column;
    border-radius: 0.25rem;
}

.card__header {
    padding: 1rem 1.5rem;
    border-bottom: 1px solid #edf1f7;
    border-top-left-radius: 0.25rem;
    border-top-right-radius: 0.25rem;
    color: #222b45;
    font-family: Open Sans, sans-serif;
    font-size: .9375rem;
    font-weight: 600;
    line-height: 1.5rem;
    height: 57px;
}

.card__body {
    display: flex;
    width: 100%;
    flex: 1;
    -ms-flex: 1 1 auto;
    overflow: auto;
    padding: 1rem 1.5rem;
    position: relative;
}

.card__body__container {
    margin: auto;
    display: block;
    width: 100%;
    max-width: 35rem;
}

.auth-container__header {
    margin-bottom: 30px;
    text-align: center !important;
}

.auth-container__header img {
    width: 15em;
}

.auth-container__title {
    font-size: 1.5rem;
    text-align: left;
    margin-bottom: 3rem;
    margin-top: 3rem;
    text-align: center;
    font-weight: bold;
}

.auth-container__form {
    width: 100%;
}

.form-control {
    margin-bottom: 2rem;
}

.form-control label {
    font-size: 0.875rem;
    display: block;
    margin-bottom: 0.5rem;
    color: black;
    font-family: Open Sans, sans-serif;
    font-weight: 700;
    line-height: 1rem;
}

.form-control .input {
    border-radius: 0.25rem;
    font-size: .9375rem;
    font-weight: 600;
    line-height: 1.5rem;
    padding: 0.4375rem 1rem;
    width: 100%;
    transition-duration: 0.15s;
    transition-property: border,background-color,color,box-shadow;
    transition-timing-function: ease-in;
    appearance: none;
    overflow: visible;
    margin: 0;
    border-color: #767676;
    border-width: 1px;
    outline: none;
}

.select {
    border-radius: 0.25rem;
    font-size: .9375rem;
    font-weight: 600;
    line-height: 1.5rem;
    padding: 0.6rem 1rem;
    width: 100%;
    transition-duration: 0.15s;
    transition-property: border,background-color,color,box-shadow;
    transition-timing-function: ease-in;
    margin: 0;
    border-color: #767676;
    border-width: 1px;
    outline: none;
}

select:required:invalid {
    color: gray;
}

option[value=""][disabled] {
    display: none;
}

option {
    color: black;
}

.form-control .input:focus {
    outline: none;
}

.form-control .input+.alert {
    margin-top: .5em;
}


.forgot-password-container {
    display: flex;
    justify-content: center;
    margin: 2rem 0;
    text-decoration: none;
    color: #8fabb37a;
}

.text-link1 {
    color: rgb(36, 148, 199);
    font-size: inherit;
    font-style: inherit;
    font-weight: inherit;
    line-height: inherit;
    background-color: transparent;
}

.text-link2 {
    color: #f97316;
    font-size: inherit;
    font-style: inherit;
    font-weight: inherit;
    line-height: inherit;
    background-color: transparent;
}

.action-btn {
    background-color: #f97316;
    border-color: #f97316;
    color: #fff;
    padding: 0.6875rem 1.125rem;
    border-style: solid;
    border-width: 0.0625rem;
    border-radius: 0.25rem;
    font-size: 1rem;
    line-height: 1rem;
    transition-duration: 0.15s;
    transition-property: background-color,border-color,box-shadow,color;
    transition-timing-function: ease-in;
    width: 100%;
    appearance: none;
    text-align: center;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    user-select: none;
    cursor: pointer;
    font-family: Open Sans, sans-serif;
    font-weight: 700;
    overflow: visible;
    margin: 0;
}

.action-btn[disabled] {
    background-color: #a8a8a8;
    border-color: #a8a8a8;
    color: white;
    cursor: no-drop;
    font-size: 1rem;
}

.auth-container__register-container {
    margin-top: 2rem;
    text-align: center;
}

.text-link {
    color: #f97316;
}

.flex-container{
    display: flex
}

.alert {
    color: #222b45;
    border-radius: .25rem;
    background-color: #f7f9fc;
    box-shadow: none;
    font-family: Open Sans, sans-serif;
    font-size: .9375rem;
    font-weight: 600;
    line-height: 1.5rem;
    padding: 1rem 1.125rem;
    margin-bottom: 1.5rem;
    display: flex;
    flex-direction: column;
    position: relative;
}

.alert.error {
    border: 1px solid #b81d5b;
}

.alert.success {
    border: 1px solid #099d13;
}

.alert__title {
    margin: 0 0 1rem;
    color: #222b45;
    font-family: Open Sans, sans-serif;
    font-size: .9375rem;
    line-height: 1.25rem;
    font-weight: bolder;
}

.alert__body {
    margin: 0;
    color: #222b45;
    font-family: Open Sans, sans-serif;
    font-size: .9375rem;
    font-weight: 400;
    line-height: 1.25rem;
}
.alert__body:not(:last-child){
    margin-bottom: .5rem;
}

.flex-row {
    display: flex;
}

.gap-x-1 {
    column-gap: .7rem;
}


#grecaptcha {
    margin-bottom: 1rem;
}
#grecaptcha > div {
    margin: 0 auto;
}


/* Loader/Spinner Animation */
@-webkit-keyframes spin {
    0% {
      transform: rotate(0);
    }
    100% {
      transform: rotate(360deg);
    }
  }
  @-moz-keyframes spin {
    0% {
      -moz-transform: rotate(0);
    }
    100% {
      -moz-transform: rotate(360deg);
    }
  }
  @keyframes spin {
    0% {
      transform: rotate(0);
    }
    100% {
      transform: rotate(360deg);
    }
  }
  .spinner {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1003;
    background: #000000;
    overflow: hidden;
  }
  .spinner div:first-child {
    display: block;
    position: relative;
    left: 50%;
    top: 50%;
    width: 150px;
    height: 150px;
    margin: -75px 0 0 -75px;
    border-radius: 50%;
    box-shadow: 0 3px 3px 0 rgba(255, 56, 106, 1);
    transform: translate3d(0, 0, 0);
    animation: spin 2s linear infinite;
  }
  .spinner div:first-child:after,
  .spinner div:first-child:before {
    content: '';
    position: absolute;
    border-radius: 50%;
  }
  .spinner div:first-child:before {
    top: 5px;
    left: 5px;
    right: 5px;
    bottom: 5px;
    box-shadow: 0 3px 3px 0 rgb(255, 228, 32);
    -webkit-animation: spin 3s linear infinite;
    animation: spin 3s linear infinite;
  }
  .spinner div:first-child:after {
    top: 15px;
    left: 15px;
    right: 15px;
    bottom: 15px;
    box-shadow: 0 3px 3px 0 rgba(61, 175, 255, 1);
    animation: spin 1.5s linear infinite;
  }

.spinner-overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 10;
}

.spinner2 {
  width: 80px;
  height: 80px;
  border: 4px solid transparent;
  border-top-color: #4302f4;
  border-radius: 100%;
  animation: spin 0.6s linear infinite;
}
